This set of scripts helps in the installation process of the FightingICE engine (on Linux).

***

# tl;dr
To install everything, run:

    bash install_everything.sh

To setup a template for a Java AI, run:

    bash setup_java_ai_template.sh <name-of-your-ai>

To setup a template for a Python AI, run:

    bash setup_python_ai_template.sh <name-of-your-ai>


To launch a game between two AIs, run:

      cd $ENGINE_DIR
      java -Djava.library.path=lib/native/linux -cp "FightingICE.jar:lib/*" Main -n 10 --c1 ZEN --c2 ZEN --a1 MctsAi --a2 MizunoAI
Your Java AIs should be exported in jar and placed in `$ENGINE_DIR/data/ai/`

To launch a game between two AIs from Python, run:

      cd $ENGINE_DIR
      java -Djava.library.path=lib/native/linux -cp "FightingICE.jar:lib/*" Main --py4j &
      cd $PYTHON_AI_PATH
      python run_fighting_game.py -c1 ZEN -c2 ZEN -p1 MctsAi -p2 MizunoAI
    
Your Python AIs should stay in the same directory as run_fighting_game.py.

***

# What each script does

* **download_files.sh**: Downloads the engine and all the interesting AIs from the FightingICE website.
* **setup_fighting_ice.sh** Sets up the FightingICE engine for Eclipse
* **setup_ais.sh** Assuming you have already used setup_fighting_ice.sh, this script uncompresses all the AIs (and their data) in the proper folder.
* **setup_java_ai_template.sh** Creates the project structure to develop a Java AI for FightingICE in Eclipse. Expects the name of the AI as first and only parameter.
* **setup_python_ai_template.sh** Creates the project structure to develop a Python AI for FightingICE. Expects the name of the AI as first and only parameter.

***
