#!/bin/bash


# Assuming you have already used setup_fighting_ice.sh, this script uncompresses all the AIs in the proper folder.

# Instructions:
# - Put some or all of the AI zip files downloadable from the FightingICE website in the same directory as this file.
# - Run setup_ais.sh


# ---- Check if AI files are present - if not, give a warning

OPTIONAL_FILES=( downloads/2016Competition.zip downloads/JerryMizunoAI.zip downloads/MctsAi.zip downloads/mizunoAI.zip )

for FILE in "${OPTIONAL_FILES[@]}"
do
	if [ ! -e "${FILE}" ]
	then
		echo "Warning: File ${FILE} is not present in this directory."
	fi
done


FIGHTING_ICE_PATH=`pwd`/../FTG3


if [ -e downloads/2016Competition.zip ]
then
	unzip -u -j downloads/2016Competition.zip 2016Competition/AIs/BANZAI_AI/BANZAI.jar -d "${FIGHTING_ICE_PATH}/data/ai/" > /dev/null
	unzip -u -j downloads/2016Competition.zip 2016Competition/AIs/DragonSurvivor/DragonSurvivor.jar -d "${FIGHTING_ICE_PATH}/data/ai/" > /dev/null
	unzip -u -j downloads/2016Competition.zip 2016Competition/AIs/IchibanChan/IchibanChan.jar -d "${FIGHTING_ICE_PATH}/data/ai/" > /dev/null
	unzip -u -j downloads/2016Competition.zip 2016Competition/AIs/JayBot2016/JayBot2016.jar -d "${FIGHTING_ICE_PATH}/data/ai/" > /dev/null
	unzip -u -j downloads/2016Competition.zip 2016Competition/AIs/KeepYourDistanceBot/KeepYourDistanceBot.jar -d "${FIGHTING_ICE_PATH}/data/ai/" > /dev/null
	unzip -u -j downloads/2016Competition.zip 2016Competition/AIs/MrAsh/MrAsh.jar -d "${FIGHTING_ICE_PATH}/data/ai/" > /dev/null
	unzip -u -j downloads/2016Competition.zip 2016Competition/AIs/MrAsh/MrAsh/ASH_GARNET.txt -d "${FIGHTING_ICE_PATH}/data/aiData/MrAsh/" > /dev/null
	unzip -u -j downloads/2016Competition.zip 2016Competition/AIs/MrAsh/MrAsh/ASH_LUD.txt -d "${FIGHTING_ICE_PATH}/data/aiData/MrAsh/" > /dev/null
	unzip -u -j downloads/2016Competition.zip 2016Competition/AIs/MrAsh/MrAsh/ASH_ZEN.txt -d "${FIGHTING_ICE_PATH}/data/aiData/MrAsh/" > /dev/null
	unzip -u -j downloads/2016Competition.zip 2016Competition/AIs/paranahueBot/paranahueBot.jar -d "${FIGHTING_ICE_PATH}/data/ai/" > /dev/null
	mv "${FIGHTING_ICE_PATH}/data/ai/paranahueBot.jar" "${FIGHTING_ICE_PATH}/data/ai/iaTest.jar"
	unzip -u -j downloads/2016Competition.zip 2016Competition/AIs/Poring/Poring.jar -d "${FIGHTING_ICE_PATH}/data/ai/" > /dev/null
	unzip -u -j downloads/2016Competition.zip 2016Competition/AIs/Ranezi/Ranezi/Ranezi.jar -d "${FIGHTING_ICE_PATH}/data/ai/" > /dev/null
	unzip -u -j downloads/2016Competition.zip 2016Competition/AIs/Snorkel/Snorkel.jar -d "${FIGHTING_ICE_PATH}/data/ai/" > /dev/null
	unzip -u -j downloads/2016Competition.zip 2016Competition/AIs/Snorkel/aiData/MyLog/Slog.txt -d "${FIGHTING_ICE_PATH}/data/aiData/MyLog/" > /dev/null
	unzip -u -j downloads/2016Competition.zip 2016Competition/AIs/Thunder01/Thunder01.jar -d "${FIGHTING_ICE_PATH}/data/ai/" > /dev/null
	unzip -u -j downloads/2016Competition.zip 2016Competition/AIs/Tomatensimulator/Tomatensimulator.jar -d "${FIGHTING_ICE_PATH}/data/ai/" > /dev/null
	unzip -u -j downloads/2016Competition.zip 2016Competition/AIs/Triump/Triump.jar -d "${FIGHTING_ICE_PATH}/data/ai/" > /dev/null
fi


if [ -e downloads/JerryMizunoAI.zip ]
then
	unzip -u -j downloads/JerryMizunoAI.zip JerryMizunoAI/JerryMizunoAI.jar -d "${FIGHTING_ICE_PATH}/data/ai/" > /dev/null
fi


if [ -e downloads/MctsAi.zip ]
then
	unzip -u -j downloads/MctsAi.zip MctsAi/MctsAi.jar -d "${FIGHTING_ICE_PATH}/data/ai/" > /dev/null
fi


if [ -e downloads/mizunoAI.zip ]
then
	unzip -u -j downloads/mizunoAI.zip mizunoAI/mizunoAI.jar -d "${FIGHTING_ICE_PATH}/data/ai/" > /dev/null
fi
