#!/bin/bash

# Creates the project structure to develop an AI for FightingICE in Python.
# Expects the name of the AI as first and only parameter.


# First argument is optional, the java binary file path
if [ "$#" -ge 1 ]
then
	AI_NAME="$1"
else
	echo "No name specified for the AI. Abort."
	exit 1
fi



AI_PATH=`pwd`/../${AI_NAME}
if [ -e "${AI_PATH}" ]
then
    echo "A directory with that name already exists. Please, remove it. I do not like to take that kind of responsibility ;)"
else

    mkdir "${AI_PATH}"

    # Generate template file
    mkdir "${AI_PATH}/src/"
    cp support_files/ai/ai_template.py "${AI_PATH}/${AI_NAME}.py"
    cp support_files/ai/run_fighting_game.py "${AI_PATH}/"

    # Rename stuff
    find "${AI_PATH}/" -type f -print0 | xargs -0 sed -i "s/AI_NAME/${AI_NAME}/g"

    echo "Done."
fi
